Package org.apache.synapse.mediators.spring

# Class SpringMediatorFactory

java.lang.Object
org.apache.synapse.config.xml.AbstractMediatorFactory
org.apache.synapse.mediators.spring.SpringMediatorFactory

All Implemented Interfaces:
  `org.apache.synapse.config.xml.MediatorFactory`

public class SpringMediatorFactory extends org.apache.synapse.config.xml.AbstractMediatorFactory
Creates an instance of a Spring mediator that refers to the given Spring configuration and bean. Optionally, one could specify an in-lined Spring configuration as opposed to a globally defined Spring configuration

invalid input: '<'spring bean="exampleBean1" key="string""/>

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

  `ATT_ARGUMENT, ATT_DEFAULT_VALUE, ATT_DESCRIPTION, ATT_EVAL, ATT_EXPRN, ATT_IS_MANDATORY, ATT_KEY, ATT_NAME, ATT_ONERROR, ATT_REGEX, ATT_ROOT_ELEMENT, ATT_SEQUENCE, ATT_SOURCE, ATT_STATS, ATT_TARGET, ATT_TARGET_VARIABLE, ATT_TYPE, ATT_VALUE, ATT_XPATH, DESCRIPTION_Q, FEATURE_Q, INPUTS, PROP_Q, PROPERTY_GROUP_Q, RESULT_TYPE_Q, TARGET_Q, VARIABLE_Q`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpringMediatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.synapse.Mediator`
  `createSpecificMediator(org.apache.axiom.om.OMElement elem, Properties properties)`
  Create a Spring mediator instance referring to the bean and configuration given by the OMElement declaration
  `QName`
  `getTagQName()`

  ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

  `addAllCommentChildrenToList, collectNameValuePairs, createMediator, handleException, handleException, processAuditStatus, processTraceState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpringMediatorFactory

    public SpringMediatorFactory()

- ## Method Details

  - ### createSpecificMediator

    public org.apache.synapse.Mediator createSpecificMediator(org.apache.axiom.om.OMElement elem, Properties properties)
    Create a Spring mediator instance referring to the bean and configuration given by the OMElement declaration
    Specified by:
      `createSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorFactory`
    Parameters:
      `elem` - the OMElement that specifies the Spring mediator configuration
      `properties` -
    Returns:
      the Spring mediator instance created

  - ### getTagQName

    public QName getTagQName()